## libtm-perl 1.56

=== debian/changelog ===
libtm-perl (1.56-10) unstable; urgency=medium

  * source-only upload for bullsyeye

 -- Alexander Zangerl <az@debian.org>  Sat, 07 Sep 2019 14:16:37 +1000

libtm-perl (1.56-9) unstable; urgency=medium

  * forcing regeneration of (upstream-supplied) TM::AsTMa::Fact
    and Fact2 from the yapp grammars (closes: #903986)
  * with perl from stretch or newer the testsuite passes again
    (closes: #812619)
  * updated standards version, dephelper dependency and compatlevel

 -- Alexander Zangerl <az@debian.org>  Sat, 21 Jul 2018 14:09:48 +1000

libtm-perl (1.56-8) unstable; urgency=medium

  * get rid of POSIX::tmpnam (closes: #826438)
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Thu, 24 Aug 2017 20:55:19 +1000

libtm-perl (1.56-7) unstable; urgency=low

  * updated long description to include module name

 -- Alexander Zangerl <az@debian.org>  Tue, 24 Sep 2013 12:23:41 +1000

libtm-perl (1.56-6) unstable; urgency=low

  * fixed test failures with perl 5.18, which were caused by 
    assumptions about hash key ordering which no longer hold with
    5.18 (closes: #711621)

 -- Alexander Zangerl <az@debian.org>  Sun, 22 Sep 2013 14:48:27 +1000

libtm-perl (1.56-5) unstable; urgency=low

  * fixed issue with build process clashing with
    dpkg-source: some files are present in the upstream tarball
    but are recreated on build.

 -- Alexander Zangerl <az@debian.org>  Thu, 19 Sep 2013 11:31:17 +1000

libtm-perl (1.56-4) unstable; urgency=low

  * lifted standards version, debhelper compat level
  * changed to 3.0 quilt source format (closes: #671662)

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Sep 2013 00:25:49 +1000

libtm-perl (1.56-3) unstable; urgency=low

  * repaired AsTMa parser, more meaningful %trace and %cancel messages.

 -- Alexander Zangerl <az@debian.org>  Tue, 05 Jun 2012 11:11:59 +1000

libtm-perl (1.56-2) unstable; urgency=low

  * LTM parser repaired (was parse::recdescent pickyness issue)

 -- Alexander Zangerl <az@debian.org>  Sat, 05 Mar 2011 10:34:13 +1000

libtm-perl (1.56-1) unstable; urgency=low

  * New upstream release
  * lifted standards version
  * cleaned up some lintian manpage warnings
  * some AsTMa parser fixes (no misleading line numbers on errors)
  * LTM support in this release not working
  
 -- Alexander Zangerl <az@debian.org>  Thu, 03 Mar 2011 20:53:34 +1000

libtm-perl (1.54-1) unstable; urgency=low

  * New upstream release, added test::exception to build depends

 -- Alexander Zangerl <az@debian.org>  Wed, 25 Aug 2010 23:20:45 +1000

libtm-perl (1.53-1) unstable; urgency=low

  * New upstream release
  * updated dependencies

 -- Alexander Zangerl <az@debian.org>  Mon, 21 Jun 2010 21:15:19 +1000

libtm-perl (1.50-2) unstable; urgency=low

  * fixed bug in tids, badly affecting internalize (TM.pm)

 -- Alexander Zangerl <az@debian.org>  Thu, 06 May 2010 14:32:09 +1000

libtm-perl (1.50-1) unstable; urgency=low

  * New upstream release (closes: #579899)

 -- Alexander Zangerl <az@debian.org>  Mon, 03 May 2010 20:06:11 +1000

libtm-perl (1.49-1) unstable; urgency=low

  * New upstream release
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Sun, 25 Apr 2010 14:30:19 +1000

libtm-perl (1.48-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Tue, 13 Apr 2010 16:23:17 +1000

libtm-perl (1.45-3) unstable; urgency=low

  * added JSON Topic Map functionality.

 -- Alexander Zangerl <az@debian.org>  Fri, 09 Apr 2010 19:59:10 +1000

libtm-perl (1.45-2) unstable; urgency=low

  * lifted standards version
  * cleared some lintian warnings
  * reworked build rules
  * disabled two subtests which work fine with perl 5.10.0-19 but 
    make 5.10.0-25 barf: upstream is a tad too busy to hunt this down right
    now, and as the functionality being tested is highly experimental in the 
    first place i believe skipping these two tests for now 
    is acceptable. (closes: #545614)

 -- Alexander Zangerl <az@debian.org>  Thu, 17 Sep 2009 11:25:48 +1000

libtm-perl (1.45-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Wed, 09 Sep 2009 12:12:45 +1000

libtm-perl (1.43-7) unstable; urgency=low

  * fixed problem in match_forall code.

 -- Alexander Zangerl <az@debian.org>  Fri, 14 Nov 2008 10:33:57 +1000

libtm-perl (1.43-6) unstable; urgency=low

  * fixed problem with serialization to astma1: topic reification
    was not exported.

 -- Alexander Zangerl <az@debian.org>  Mon, 27 Oct 2008 10:33:09 +1000

libtm-perl (1.43-5) unstable; urgency=low

  * fixed minor mistake with diff() additions of previous revision.

 -- Alexander Zangerl <az@debian.org>  Wed, 24 Sep 2008 14:52:43 +1000

libtm-perl (1.43-4) unstable; urgency=low

  * added support for diff()ing maps that were created with versions
    older than 1.31 (internal representation and API changes)

 -- Alexander Zangerl <az@debian.org>  Mon, 15 Sep 2008 08:46:11 +1000

libtm-perl (1.43-3) unstable; urgency=low

  * fixed mistake wrt backporting the %include mechanism that kept
    the tests from firing and the code from working.

 -- Alexander Zangerl <az@debian.org>  Mon,  1 Sep 2008 09:47:55 +1000

libtm-perl (1.43-2) unstable; urgency=low

  * backported %include mechanism from astma 2.0 to 1.x

 -- Alexander Zangerl <az@debian.org>  Tue, 26 Aug 2008 17:07:14 +1000

libtm-perl (1.43-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Thu, 21 Aug 2008 10:43:15 +1000

libtm-perl (1.42-1) unstable; urgency=low

  * New upstream release
  
 -- Alexander Zangerl <az@debian.org>  Fri, 18 Jul 2008 13:52:53 +1000

libtm-perl (1.26-13) unstable; urgency=low

  * fix extutils::install directory mess (closes: #467987)

 -- Alexander Zangerl <az@debian.org>  Wed, 27 Feb 2008 09:14:34 +1000

libtm-perl (1.26-12) unstable; urgency=low

  * fixed broken TM::DM name() and occurrence() methods, testcases
  * TM::QL::CParser is now properly (re)generated

