=== debian/control ===
Source: libtm-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9.0.0)
Build-Depends-Indep: perl, libwww-perl, libberkeleydb-perl, libconfig-general-perl, liblog-log4perl-perl, libmldbm-perl, libmldbm-sync-perl, libparse-yapp-perl, libtest-pod-perl, liburi-perl, libxml-libxml-perl, libclass-trait-perl, libparse-recdescent-perl, libtest-deep-perl, libxml-simple-perl, libterm-readline-gnu-perl|libterm-readline-zoid-perl|libterm-readline-perl-perl, libxml-writer-perl, libio-string-perl, libyaml-syck-perl, libregexp-common-perl, libtext-csv-perl, libtest-exception-perl
Maintainer: Alexander Zangerl <az@debian.org>
Standards-Version: 4.1.3.0

Package: libtm-perl
Architecture: all
Depends: perl, libberkeleydb-perl, libconfig-general-perl, liblog-log4perl-perl, libmldbm-perl, libmldbm-sync-perl, libparse-yapp-perl, liburi-perl, libxml-libxml-perl, libclass-trait-perl, libparse-recdescent-perl, libterm-readline-gnu-perl|libterm-readline-zoid-perl|libterm-readline-perl-perl, libtest-deep-perl, libxml-writer-perl, libio-string-perl, libwww-perl, libyaml-syck-perl, libregexp-common-perl, libtext-csv-perl,  ${misc:Depends}
Homepage: https://metacpan.org/release/TM
Description: Perl modules for reading/writing Topic Maps
 The TM suite of modules provides several classes for reading, querying 
 and building Topic Maps.
