=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# If set to a true value then MakeMaker's prompt function will
# always return the default without waiting for user input.
export PERL_MM_USE_DEFAULT=1

PACKAGE=$(shell dh_listpackages)
TMP=$(CURDIR)/debian/$(PACKAGE)

.PHONY: build clean binary-indep binary-arch binary configure

configure: Makefile

Makefile: Makefile.PL
	dh_testdir
	perl Makefile.PL INSTALLDIRS=vendor

build-arch: build
build-indep: build

build: build-stamp 
build-stamp: Makefile
	dh_testdir

	# cparser target doesn't fire unless the targets are gone
	# or the sources are newer...
	touch yapp/*yp
	# cparser target builds the Fact* and CParser* modules, which 
	# need to be updated and ignored on dpkg-source -b
	$(MAKE) OPTIMIZE="-Wall -O2 -g" cparser all

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f xtm.log
	dh_clean build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f Makefile Makefile.old

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep

	[ -n "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ] || $(MAKE) test

	$(MAKE) install DESTDIR=$(TMP) 

	# some makemaker/extutils still create this dud dir
	[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty --parents $(TMP)/usr/lib/perl5

	touch install-stamp

binary-arch:
# We have nothing to do by default.

binary-indep: build install
	rm -f xtm.log

	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs Changes
	dh_perl
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
