=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
http://www.cpan.org/authors/id/D/DR/DRRHO/TM-([0-9\.]+).tar.gz
